/*
Coa 1.5.1 Backend JavaScript
www.plue.me/coa
*/

jQuery(function($) {

/////////////////////////////
// Edit Page Translation
/////////////////////////////

if($('#sb_CoaPlugin').length) {

	// adjust environment
	$('#post-content').parent('p').css('margin','0');
	$('#extra_CoaPlugin').hide();

	// click the translation button
	$('#sb_CoaPlugin a').click(function() {
    
		// show translated page
		if(!$('#sb_CoaPlugin').is('.act_content') && !$('#sb_CoaPlugin').is('.animated')) {
			
			// arrange extras
			$('.rightopt, .leftopt').slideUp();
			$('#extra_CoaPlugin').slideDown();
			if(!$('#metadata_toggle').is('.current')) {
				$('.rightopt, .leftopt').hide();
				$('#extra_CoaPlugin').show();
			}
			
			// get editor wrap height
			var editH = $('#cke_post-content').height();
			
			// set animated class
			$('#sb_CoaPlugin').addClass('animated');
			window.setTimeout(function() { 
			  $('#sb_CoaPlugin').removeClass('animated'); 
			}, 1000);
		
			// adjust nav item classes
			$('#sb_CoaPlugin').addClass('act_content');
		
			// animate editor fields
			$('#cke_post-content-translation').animate({'height':editH}, 500).css('border','1px solid #999');
			$('#cke_post-content').animate({'height':'0'}, 500).animate({'border':'0'}, 500);
		}
	
		// show default page
		else if(!$('#sb_CoaPlugin').is('.animated')) {
			
			// arrange extras
			$('.rightopt, .leftopt').slideDown();
			$('#extra_CoaPlugin').slideUp();
			if(!$('#metadata_toggle').is('.current')) {
				$('.rightopt, .leftopt').show();
				$('#extra_CoaPlugin').hide();
			}
			
			// get editor wrap height
			var editH = $('#cke_post-content-translation').height();
			
			// set animated class
			$('#sb_CoaPlugin').addClass('animated');
			window.setTimeout(function() { $('#sb_CoaPlugin').removeClass('animated'); }, 1000);
		
			// adjust nav item classes
			$('#sb_CoaPlugin').removeClass('act_content');
		
			// animate editor fields
			$('#cke_post-content-translation').animate({'height':'0'}).animate({'border':'0'}, 500);
			$('#cke_post-content').css('border','1px solid #999').animate({'height': editH});
		}
		return false;
	});
}

});